<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso8859-1" />

<title>GraphWeather statistiche</title>
<style type="text/css">

.navlink a:link {
color:#000000;
text-decoration : none;
background-color: #ffffdd;
display: block;
}

.navlink a:visited {
color:#000000;
text-decoration : none;
background-color: #ffffdd;
display: block;
}

.navlink a:hover {
color: #000000;
text-decoration : none;
background-color : #ddddff; 
display: block;
}

.DayLabel
{
background-color: #ddddff;
}

.Day
{
color:#aaa;
border:1px solid #ccc; 
}

table {
text-align:center;
font-size:15px;
border-collapse:collapse;
}

body {
margin:10px;  background-image: url(gigisfondo.jpg);
}
	
.spacer {
clear: both;
}

.title {
float:left;
border:1px solid #ccc;
background:#ffa;
text-align:center;
width:680px;
height:150px;
background-image:url(banner.jpg);
}

.DatePicker
{
float:right;

width: 220px;
margin-top: 0px;
}

#frame {
width:920px; 
margin:0px auto; 
padding:10px;
border:1px dashed #ccc; 
background:#ffd; 
text-align: left;
}
</style>

</head>
<body>
	<div id="frame">
		<div class="DatePicker">
<?php

$Date = getDate(); 

if(isset($_GET["month"]))
	$Month = $_GET["month"];
else
	$Month = $Date["mon"];
	
if(isset($_GET["year"]))
	$Year = $_GET["year"];
else
	$Year = $Date["year"];
	
if(isset($_GET["link"]))
	$link = $_GET["link"];
else
{
	$Month1 = substr((100+$Month),1);
	$link = $Year."/".$Month1."/".$Year."_".$Month1.".xml";
}
	
if (!file_exists($link)) 
	$link = "";

if (file_exists($link)) 
{
    if(isSet($link)) 
    { 
        if((!isSet($Month)) ||(!isSet($Year)))
        {
            DisplayDatePicker($Date["year"], $Date["mon"]); //mois en cours
        }
        else
        {
        	DisplayDatePicker($Year, $Month);
        }
    }
}
else
{
    //$Month1=substr((100+$Month),1);
    //$link = $Year."/".$Month1."/".$Year."_".$Month1.".xml";
	$link = "NA.html";
    DisplayDatePicker($Year, $Month);
}

///////////////////////////////////////////////////////////////////////////
function FirstDayOfMonth($Year, $Month)
{
    $FirstDay = date("w", mktime(0, 0, 0, $Month, 1, $Year));
    if($FirstDay == 0) 
        $FirstDay = 7; 	// if it's sunday
    return $FirstDay - 1;
}

///////////////////////////////////////////////////////////////////////////
// Modulo 4 pour les annes bissextiles, pas de contrle pour les sicles, les 400 ans et les bi-millnaires
function NumberOfDays($Year, $Month)  
{
    if(($Year % 4) == 0)
        {
        	$February = 29;
        }
    else
        {
        	$February = 28;
        }
    
	$MonthMap = array(0, 31, $February , 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
    return $MonthMap[$Month];
}

///////////////////////////////////////////////////////////////////////////
function DisplayDatePicker($Year, $Month)
{
	$MonthLabel = array(" ","Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre");
	$DayLabel = array("Lun","Mar","Mer","Gio","Ven","Sab","Dom");
	
	$MonthDay = NumberOfDays($Year, $Month);
	
	$NextMonth = $Month + 1;
	$PreviousMonth = $Month - 1;
	$NextYear = $Year + 1;
	$PreviousYear = $Year - 1;
	$ArrowNextYear = $Year;
	$ArrowPreviousYear = $Year;
	
	if($NextMonth == 13)
	{
		$NextMonth = 1;
		$ArrowNextYear = $ArrowNextYear + 1;
	}
	
	if($PreviousMonth == 0)
	{
		$PreviousMonth = 12;
		$ArrowPreviousYear = $ArrowPreviousYear - 1;
	}
	
	// Format month with two digits
	$Month1 = substr((100 + $Month), 1);
	$NextMonth1 = substr((100 + $NextMonth), 1);
	$PreviousMonth1 = substr((100 + $PreviousMonth), 1);
	
	echo "   <table class=\"navlink\" width=\"100%\" style=\"border:1px solid #ccc;\" >\n";
	
	// Global staitstics
	echo "      <tr>\n";
	echo "         <td colspan=\"7\" ><a href=\"MyGWStats.php?&link=Full.xml\">Tutte le statistiche</a></td>\n";
	echo "      </tr>\n";
	
	// Year and month browser
	echo "      <tr>";
	echo "         <td><a href=\"MyGWStats.php?&month=$Month&year=$PreviousYear&link=$PreviousYear/$PreviousYear.xml\">&lt;&lt;</a></td>\n"; 
	echo "         <td><a href=\"MyGWStats.php?&month=$PreviousMonth&year=$ArrowPreviousYear&link=$ArrowPreviousYear/$PreviousMonth1/$ArrowPreviousYear"."_"."$PreviousMonth1.xml\">&lt;</a></td>\n";
	echo "         <td colspan=\"2\"><a href=\"MyGWStats.php?&m=$Month&year=$Year&link=$Year/$Month1/$Year"."_"."$Month1.xml\">$MonthLabel[$Month]</a></td>\n";
	echo "         <td><a href=\"MyGWStats.php?&month=$Month&year=$Year&link=$Year/$Year.xml\">$Year</a></td>\n"; 
	echo "         <td><a href=\"MyGWStats.php?&month=$NextMonth&year=$ArrowNextYear&link=$ArrowNextYear/$NextMonth1/$ArrowNextYear"."_"."$NextMonth1.xml\">&gt;</a></td>\n";
	echo "         <td><a href=\"MyGWStats.php?&month=$Month&year=$NextYear&link=$NextYear/$NextYear.xml\">&gt;&gt;</a></td>\n";
	echo "      </tr>\n";
	
	// Days table
	echo "      <tr>\n";
	for ($i = 0; $i < 7; $i++)
	{
		echo "<td class=\"DayLabel\">$DayLabel[$i]</td>\n";
	}
	echo "      </tr>\n";
	
	echo "   <tr>\n";
	
	$FirstDay = FirstDayOfMonth($Year, $Month);
	
	if($Month - 1 == 0)
		$NumberOfDays =  NumberOfDays($Year-1, 12);
	else
		$NumberOfDays =  NumberOfDays($Year, $Month-1);
		
	for ($i = 0; $i < $FirstDay; $i++)
	{
		echo "         <td class=\"Day\">".($NumberOfDays - $FirstDay + $i + 1)."</td>\n";
	}
	
	$DayRemaining = 0;
	for ($i = 1; $i <= $MonthDay; $i++)	
	{
		$i1=substr((100+$i),1);
		$DayRemaining = ($i-1 + FirstDayOfMonth($Year, $Month)) % 7;
		if ($DayRemaining == 0)
			echo "</tr><tr>";
	  
		echo "         <td class=\"Day\"><a href=\"MyGWStats.php?&month=$Month&year=$Year&link=$Year/$Month1/$Year"."_"."$Month1"."_"."$i1.xml\">$i</a></td>\n";
	}
	 
	for ($i = 0; $i < 6-$DayRemaining ; $i++)
	{
		echo "         <td class=\"Day\">".($i + 1)."</td>\n";
	}
	
	echo "      </tr>\n";
	echo "   </table>\n";
	
// Statistiche decadi mensili

echo " <table class=\"navlink\" width=\"100%\" style=\"border:1px solid #ccc;\" >\n";

echo " <tr>\n";
echo " <td colspan=\"3\" ><a href=\"MyGWStats.php?&month=$Month&year=$Year&link=$Year/$Month1/$Year"."_"."$Month1"."_"."decade_00.xml\">I Decade</a></td>\n";
echo " </td>\n"; 

echo " <td colspan=\"3\" ><a href=\"MyGWStats.php?&month=$Month&year=$Year&link=$Year/$Month1/$Year"."_"."$Month1"."_"."decade_01.xml\">II Decade</a></td>\n";
echo " </td>\n"; 

echo " <td>\n"; 
echo " <td colspan=\"1\" ><a href=\"MyGWStats.php?&month=$Month&year=$Year&link=$Year/$Month1/$Year"."_"."$Month1"."_"."decade_02.xml\">III Decade</a></td>\n"; 
echo " </td>\n";

echo " </tr>\n"; 

echo " </table>\n";

echo " </table>\n";
}	
?>
		</div>
		<div class="title">
			<br/>
			<div style="font-size:34px;"> Inserite il nome vostra stazione </div>
			<br/>
			
                        <div style="font-size:24px; font-style:italic">Altra riga disponibile  </div>
				
                        


                        <div style="font-size:11px; font-style:italic">Generated by GraphWeather version 2.0.321</div>
                        <br/>
		</div>
 		<div class="spacer"></div>
		<div style="height: 1580px; width: 920px; border: 1px solid #ccc; margin-top:10px">
			<iframe style="height:100%; width:100%;" border="0" frameborder="0" scrolling="no" src="<?php echo $link; ?>">
			
			</iframe>
		</div>
	   <div class="spacer"></div>
	</div>
</body>
</html>